Package org.drinkless.tdlib

# Class TdApi.EditMessageCaption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.EditMessageCaption

Enclosing class:
  TdApi

public static class TdApi.EditMessageCaption extends TdApi.Function<TdApi.Message>
Edits the message content caption. Returns the edited message after the edit is completed on the server side. Can be used only if message.canBeEdited == true.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `caption`
  New message content caption; 0-getOption("message_caption_length_max") characters; pass null to remove caption.
  `long`
  `chatId`
  The chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The new message reply markup; pass null if none; for bots only.
  `boolean`
  `showCaptionAboveMedia`
  Pass true to show the caption above the media; otherwise, the caption will be shown below the media.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditMessageCaption()`
  Default constructor for a function, which edits the message content caption.
  `EditMessageCaption(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.FormattedText caption, boolean showCaptionAboveMedia)`
  Creates a function, which edits the message content caption.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The new message reply markup; pass null if none; for bots only.

  - ### caption

    public TdApi.FormattedText caption
    New message content caption; 0-getOption("message_caption_length_max") characters; pass null to remove caption.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    Pass true to show the caption above the media; otherwise, the caption will be shown below the media. Can be true only for animation, photo, and video messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditMessageCaption

    public EditMessageCaption()
    Default constructor for a function, which edits the message content caption. Returns the edited message after the edit is completed on the server side. Can be used only if message.canBeEdited == true.

    Returns `Message`

  - ### EditMessageCaption

    public EditMessageCaption(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.FormattedText caption, boolean showCaptionAboveMedia)
    Creates a function, which edits the message content caption. Returns the edited message after the edit is completed on the server side. Can be used only if message.canBeEdited == true.

    Returns `Message`

    Parameters:
      `chatId` - The chat the message belongs to.
      `messageId` - Identifier of the message.
      `replyMarkup` - The new message reply markup; pass null if none; for bots only.
      `caption` - New message content caption; 0-getOption("message_caption_length_max") characters; pass null to remove caption.
      `showCaptionAboveMedia` - Pass true to show the caption above the media; otherwise, the caption will be shown below the media. Can be true only for animation, photo, and video messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR